> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/transaction-submission/fast/sui/sui_executetransactionblock.md).

# sui\_executeTransactionBlock

### Introduction

The Fast Mode leverages BlockRazor's global high-performance network to achieve the lowest latency for transaction inclusion, making it suitable for users who have extreme requirements for transaction inclusion speed.

The transaction submission method of Fast Mode supports gRPC, which is compatible with [`sui_rpc_v2_transaction-execution-service-proto`](https://docs.sui.io/references/fullnode-protocol#sui_rpc_v2_transaction-execution-service-proto) .

{% hint style="info" %}
Fast Mode is not tied to the subscription plan, but each transaction sent in Fast Mode must include a tip. The minimum tip amount is the greater of 0.001 SUI or Gas Budget × 0.05 SUI.&#x20;

Tip Method: Integrate the BlockRazor SDK in [TS](/transaction-submission/fast/sui/sui_executetransactionblock/ts.md) or [Go](/transaction-submission/fast/sui/sui_executetransactionblock/go.md), and invoke the `AddTip` method.
{% endhint %}

### Endpoint

sui-fast.blockrazor.io:80

### Rate Limit

Fast Mode is not tied to the subscription plan, the rate limit default to 10 TPS for all users. Please [contact](https://discord.com/invite/qqJuwRb8Nh) us if you require an increase in your TPS limit.

### Request Example

* [TS](/transaction-submission/fast/sui/sui_executetransactionblock/ts.md)
* [Go](/transaction-submission/fast/sui/sui_executetransactionblock/go.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockrazor.io/transaction-submission/fast/sui/sui_executetransactionblock.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
